%global gem_name mctop
%global rubyabi 1.9.1

Name: rubygem-%{gem_name}
Version: 0.0.4
Release: 1%{?dist}
Summary: An interactive terminal app for analyzing memcache key activity
Group: Development/Languages
License: MIT
URL: https://github.com/etsy/mctop/
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(abi) = %{rubyabi}
Requires: ruby(rubygems)
Requires: rubygem(ruby-pcap) => 0.7.8
Requires: rubygem(ruby-pcap) < 0.8
BuildRequires: ruby(abi) = %{rubyabi}
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
A realtime memcache key analyzer.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
mkdir -p .%{gem_dir}

gem build %{gem_name}.gemspec


gem install --local --install-dir ./%{gem_dir} \
            --bindir ./%{_bindir} \
            --force --rdoc %{gem_name}-%{version}.gem

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -pa .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%files
%dir %{gem_instdir}
%{_bindir}/mctop
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/.gitignore
%{gem_instdir}/Gemfile
%{gem_instdir}/LICENSE
%{gem_instdir}/Rakefile
%{gem_instdir}/mctop.gemspec
%exclude %{gem_cache}
%{gem_spec}


%files doc
%doc %{gem_docdir}
%{gem_instdir}/README.md

%changelog
* Sat Feb 23 2013 Sam Kottler <skottler@fedoraproject.org> - 0.0.4-1
- Initial package
